## PhoshFader

PhoshFader — A fader

## Functions

PhoshFader * | phosh_fader_new ()

## Properties

PhoshMonitor * | monitor | Read / Write / Construct Only
char * | style-class | Read / Write / Construct Only

## Types and Values

#define | PHOSH_TYPE_FADER
| PhoshFader

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshFader

## Implemented Interfaces

PhoshFader implements AtkImplementorIface and GtkBuildable.

## Description

A fullsreen surface that fades in or out.

## Functions

### phosh_fader_new ()

    PhoshFader *
    phosh_fader_new (PhoshMonitor *monitor);

## Types and Values

### PHOSH_TYPE_FADER

    #define PHOSH_TYPE_FADER (phosh_fader_get_type())

### PhoshFader

    typedef struct _PhoshFader PhoshFader;

## Property Details

### The `“monitor”` property

      “monitor”                  PhoshMonitor *

Owner: PhoshFader

Flags: Read / Write / Construct Only

### The `“style-class”` property

      “style-class”              char *

The CSS style class used for the animation

Owner: PhoshFader

Flags: Read / Write / Construct Only

Default value: NULL